Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595113 - sealert text for rsync related message contains ftp references
Summary: sealert text for rsync related message contains ftp references
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-23 12:41 UTC by cam
Modified: 2010-06-08 19:38 UTC (History)
2 users (show)

Fixed In Version: setroubleshoot-plugins-2.1.52-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-08 19:38:22 UTC


Attachments (Terms of Use)

Description cam 2010-05-23 12:41:23 UTC
Description of problem:
Misleading messages in selinux alerts - typos

Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. try to use rsync to write when selinux has not been configured to allow it
2. run sealert against the log message
  
Actual results:
See messages about ftp

Expected results:
See messages about rsync

Additional info:

The offending text containing ftp:


Allowing Access:

If ftp should be allowed to write to this directory you need to turn on the
allow_rsync_anon_write boolean and change the file context of the public
directory to public_content_rw_t. Read the rsync_selinux man page for further
information: "setsebool -P allow_rsync_anon_write=1; chcon -t
public_content_rw_t " You must also change the default file context files on the
system in order to preserve them even on a full relabel. "semanage fcontext -a
-t public_content_rw_t "

Comment 1 Daniel Walsh 2010-05-25 15:16:16 UTC
Fixed in setroubleshoot-plugins-2.1.52-1

Comment 2 Fedora Update System 2010-05-25 15:22:11 UTC
setroubleshoot-plugins-2.1.52-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/setroubleshoot-plugins-2.1.52-1.fc12

Comment 3 Fedora Update System 2010-05-26 21:49:35 UTC
setroubleshoot-plugins-2.1.52-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/setroubleshoot-plugins-2.1.52-1.fc12

Comment 4 Fedora Update System 2010-06-08 19:38:18 UTC
setroubleshoot-plugins-2.1.52-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.